mav_windowOrthogonalSet(3)

NAME
mav_windowOrthogonalSet - Set orthogonal projection parameters for a window.

LEVEL
Maverik Level 1

SYNTAX
void mav_windowOrthogonalSet(MAV_window *w, float ncp, float fcp, float size, float aspect);

ARGUMENTS

MAV_window *w
    Window.

float ncp
    Position of near clip plane, in application units.

float fcp
    Position of far clip plane, in application units.

float size
    Vertical size, in application units, of the orthogonal projection

float aspect
    Aspect ratio.

DESCRIPTION
This function sets the orthogonal projection parameters for window w. ncp and fcp respectively specify the positions of the near and far clip planes. size specifies the vertical extent of projection. aspect gives the aspect ratio of the view, which will normally be set to match the aspect ratio of window w.